diff --git a/tests/qtest/bios-tables-test-allowed-diff.h b/tests/qtest/bios-tables-test-allowed-diff.h
index c79ff104fb..dfb8523c8b 100644
--- a/tests/qtest/bios-tables-test-allowed-diff.h
+++ b/tests/qtest/bios-tables-test-allowed-diff.h
@@ -1,5 +1 @@
 /* List of comma-separated changed AML files to ignore */
-"tests/data/acpi/q35/DSDT.xapic",
-"tests/data/acpi/q35/SRAT.xapic",
-"tests/data/acpi/q35/FACP",
-"tests/data/acpi/q35/APIC",
diff --git a/tests/data/acpi/q35/APIC.xapic b/tests/data/acpi/q35/APIC.xapic
new file mode 100644
index 0000000000000000000000000000000000000000..c1969c35aa12b61d25e0134bbb8d2187ba42d663
GIT binary patch
diff --git a/tests/data/acpi/q35/DSDT.xapic b/tests/data/acpi/q35/DSDT.xapic
index e69de29bb2d1d6434b8b29ae775ad8c2e48c5391..1694d972418436bcf5df0c0184b2c027ebac48af 100644
GIT binary patch
diff --git a/tests/data/acpi/q35/FACP.xapic b/tests/data/acpi/q35/FACP.xapic
new file mode 100644
index 0000000000000000000000000000000000000000..2d3659c9c6753d07c3d48742343cb8e8cc034de7