diff --git a/tests/data/acpi/microvm/ERST.pcie b/tests/data/acpi/microvm/ERST.pcie
index e69de29bb2d1d6434b8b29ae775ad8c2e48c5391..d9a2b3211ab5893a50751ad52be3782579e367f2 100644
GIT binary patch
diff --git a/tests/data/acpi/pc/APIC.acpierst b/tests/data/acpi/pc/APIC.acpierst
new file mode 100644
index 0000000000000000000000000000000000000000..208331db53b7dd5c6205cce0e95427636b86dd64
GIT binary patch
diff --git a/tests/data/acpi/pc/DSDT.acpierst b/tests/data/acpi/pc/DSDT.acpierst
index e69de29bb2d1d6434b8b29ae775ad8c2e48c5391..bb0593eeb8730d51a6f0fe51a00a00df9c83c419 100644
GIT binary patch
diff --git a/tests/data/acpi/pc/ERST.acpierst b/tests/data/acpi/pc/ERST.acpierst
new file mode 100644
index 0000000000000000000000000000000000000000..f24fadd345c798ee5c17cdb66e0e1703bd1b2f26
GIT binary patch
diff --git a/tests/data/acpi/pc/FACP.acpierst b/tests/data/acpi/pc/FACP.acpierst
new file mode 100644
index 0000000000000000000000000000000000000000..5fe21a5967aaaa2e72bf213d91f57a573cd4d38f
GIT binary patch
diff --git a/tests/data/acpi/pc/FACS.acpierst b/tests/data/acpi/pc/FACS.acpierst
new file mode 100644
index 0000000000000000000000000000000000000000..fc67ecc40782bd7fe8921e430d7de67f0bfaad93
GIT binary patch
diff --git a/tests/data/acpi/pc/HPET.acpierst b/tests/data/acpi/pc/HPET.acpierst
new file mode 100644
index 0000000000000000000000000000000000000000..19f704abdd3909a0983232ee7b93318811f71b19
GIT binary patch
diff --git a/tests/data/acpi/pc/WAET.acpierst b/tests/data/acpi/pc/WAET.acpierst
new file mode 100644
index 0000000000000000000000000000000000000000..ac0db59183096ea1d93832a421015385ba93aba0
GIT binary patch
diff --git a/tests/data/acpi/q35/APIC.acpierst b/tests/data/acpi/q35/APIC.acpierst
new file mode 100644
index 0000000000000000000000000000000000000000..208331db53b7dd5c6205cce0e95427636b86dd64
GIT binary patch
diff --git a/tests/data/acpi/q35/DSDT.acpierst b/tests/data/acpi/q35/DSDT.acpierst
index e69de29bb2d1d6434b8b29ae775ad8c2e48c5391..950c286b4c751f3c116a11d8892779942375e16b 100644
GIT binary patch
diff --git a/tests/data/acpi/q35/ERST.acpierst b/tests/data/acpi/q35/ERST.acpierst
new file mode 100644
index 0000000000000000000000000000000000000000..f24fadd345c798ee5c17cdb66e0e1703bd1b2f26
GIT binary patch
diff --git a/tests/data/acpi/q35/FACP.acpierst b/tests/data/acpi/q35/FACP.acpierst
new file mode 100644
index 0000000000000000000000000000000000000000..f6a864cc863c7763f6c09d3814ad184a658fa0a0
GIT binary patch
diff --git a/tests/data/acpi/q35/FACS.acpierst b/tests/data/acpi/q35/FACS.acpierst
new file mode 100644
index 0000000000000000000000000000000000000000..fc67ecc40782bd7fe8921e430d7de67f0bfaad93
GIT binary patch
diff --git a/tests/data/acpi/q35/HPET.acpierst b/tests/data/acpi/q35/HPET.acpierst
new file mode 100644
index 0000000000000000000000000000000000000000..19f704abdd3909a0983232ee7b93318811f71b19
GIT binary patch
diff --git a/tests/data/acpi/q35/MCFG.acpierst b/tests/data/acpi/q35/MCFG.acpierst
new file mode 100644
index 0000000000000000000000000000000000000000..696bc969f2cd51f2e243090c9aff8619651b2dc1
GIT binary patch
diff --git a/tests/data/acpi/q35/WAET.acpierst b/tests/data/acpi/q35/WAET.acpierst
new file mode 100644
index 0000000000000000000000000000000000000000..ac0db59183096ea1d93832a421015385ba93aba0
GIT binary patch
diff --git a/tests/qtest/bios-tables-test-allowed-diff.h b/tests/qtest/bios-tables-test-allowed-diff.h
index c06241a..dfb8523 100644
--- a/tests/qtest/bios-tables-test-allowed-diff.h
+++ b/tests/qtest/bios-tables-test-allowed-diff.h
@@ -1,6 +1 @@
 /* List of comma-separated changed AML files to ignore */
-"tests/data/acpi/pc/DSDT.acpierst",
-"tests/data/acpi/pc/ERST",
-"tests/data/acpi/q35/DSDT.acpierst",
-"tests/data/acpi/q35/ERST",
-"tests/data/acpi/microvm/ERST.pcie",