diff --git a/tests/data/acpi/q35/DSDT.tis.tpm12 b/tests/data/acpi/q35/DSDT.tis.tpm12
index c96b5277a14ae98174408d690d6e0246bd932623..e69de29bb2d1d6434b8b29ae775ad8c2e48c5391 100644
GIT binary patch
diff --git a/tests/data/acpi/q35/DSDT.tis.tpm2 b/tests/data/acpi/q35/DSDT.tis.tpm2
index c92d4d29c79352a60974ea9f665d0b9a410a4bac..e69de29bb2d1d6434b8b29ae775ad8c2e48c5391 100644
GIT binary patch
diff --git a/tests/data/acpi/q35/TCPA.tis.tpm12 b/tests/data/acpi/q35/TCPA.tis.tpm12
index a56961b413e7715b3d60f9836d1c8f2f4c7347cb..e69de29bb2d1d6434b8b29ae775ad8c2e48c5391 100644
GIT binary patch
diff --git a/tests/data/acpi/q35/TPM2.tis.tpm2 b/tests/data/acpi/q35/TPM2.tis.tpm2
index fe0f05987be40f1c1742ae189df7821adc522fc0..e69de29bb2d1d6434b8b29ae775ad8c2e48c5391 100644
GIT binary patch
diff --git a/tests/qtest/bios-tables-test-allowed-diff.h b/tests/qtest/bios-tables-test-allowed-diff.h
index dfb8523c8b..9743422eee 100644
--- a/tests/qtest/bios-tables-test-allowed-diff.h
+++ b/tests/qtest/bios-tables-test-allowed-diff.h
@@ -1 +1,12 @@
 /* List of comma-separated changed AML files to ignore */
+"tests/data/acpi/q35/APIC.tis.tpm2",
+"tests/data/acpi/q35/DSDT.tis.tpm12",
+"tests/data/acpi/q35/DSDT.tis.tpm2",
+"tests/data/acpi/q35/FACP.tis.tpm2",
+"tests/data/acpi/q35/FACS.tis.tpm2",
+"tests/data/acpi/q35/HPET.tis.tpm2",
+"tests/data/acpi/q35/MCFG.tis.tpm2",
+"tests/data/acpi/q35/TCPA.tis.dsl",
+"tests/data/acpi/q35/TCPA.tis.tpm12",
+"tests/data/acpi/q35/TPM2.tis.tpm2",
+"tests/data/acpi/q35/WAET.tis.tpm2",