diff example for PC machine:

@@ -54,47 +54,6 @@ DefinitionBlock ("", "DSDT", 1, "BOCHS ", "BXPC    ", 0x00000001)
         }
     }

-    Scope (_SB)
-    {
-        Device (HPET)
-        {
-            Name (_HID, EisaId ("PNP0103") /* HPET System Timer */)  // _HID: Hardware ID
-            Name (_UID, Zero)  // _UID: Unique ID
-            OperationRegion (HPTM, SystemMemory, 0xFED00000, 0x0400)
-            Field (HPTM, DWordAcc, Lock, Preserve)
-            {
-                VEND,   32,
-                PRD,    32
-            }
-
-            Method (_STA, 0, NotSerialized)  // _STA: Status
-            {
-                Local0 = VEND /* \_SB_.HPET.VEND */
-                Local1 = PRD /* \_SB_.HPET.PRD_ */
-                Local0 >>= 0x10
-                If (((Local0 == Zero) || (Local0 == 0xFFFF)))
-                {
-                    Return (Zero)
-                }
-
-                If (((Local1 == Zero) || (Local1 > 0x05F5E100)))
-                {
-                    Return (Zero)
-                }
-
-                Return (0x0F)
-            }
-
-            Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
-            {
-                Memory32Fixed (ReadOnly,
-                    0xFED00000,         // Address Base
-                    0x00000400,         // Address Length
-                    )
-            })
-        }
-    }
-
     Scope (_SB.PCI0)
     {
         Device (ISA)
@@ -529,6 +488,47 @@ DefinitionBlock ("", "DSDT", 1, "BOCHS ", "BXPC    ", 0x00000001)
         }
     }

+    Scope (_SB)
+    {
+        Device (HPET)
+        {
+            Name (_HID, EisaId ("PNP0103") /* HPET System Timer */)  // _HID: Hardware ID
+            Name (_UID, Zero)  // _UID: Unique ID
+            OperationRegion (HPTM, SystemMemory, 0xFED00000, 0x0400)
+            Field (HPTM, DWordAcc, Lock, Preserve)
+            {
+                VEND,   32,
+                PRD,    32
+            }
+
+            Method (_STA, 0, NotSerialized)  // _STA: Status
+            {
+                Local0 = VEND /* \_SB_.HPET.VEND */
+                Local1 = PRD /* \_SB_.HPET.PRD_ */
+                Local0 >>= 0x10
+                If (((Local0 == Zero) || (Local0 == 0xFFFF)))
+                {
+                    Return (Zero)
+                }
+
+                If (((Local1 == Zero) || (Local1 > 0x05F5E100)))
+                {
+                    Return (Zero)
+                }
+
+                Return (0x0F)
+            }
+
+            Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
+            {
+                Memory32Fixed (ReadOnly,
+                    0xFED00000,         // Address Base
+                    0x00000400,         // Address Length
+                    )
+            })
+        }
+    }
+
     Scope (_SB)
     {
         Device (\_SB.PCI0.PRES)

Signed-off-by: Igor Mammedov <imammedo@redhat.com>
---
 tests/qtest/bios-tables-test-allowed-diff.h |  32 --------------------
 tests/data/acpi/pc/DSDT                     | Bin 5987 -> 5987 bytes
 tests/data/acpi/pc/DSDT.acpierst            | Bin 5954 -> 5954 bytes
 tests/data/acpi/pc/DSDT.acpihmat            | Bin 7312 -> 7312 bytes
 tests/data/acpi/pc/DSDT.bridge              | Bin 8653 -> 8653 bytes
 tests/data/acpi/pc/DSDT.cphp                | Bin 6451 -> 6451 bytes
 tests/data/acpi/pc/DSDT.dimmpxm             | Bin 7641 -> 7641 bytes
 tests/data/acpi/pc/DSDT.hpbridge            | Bin 5954 -> 5954 bytes
 tests/data/acpi/pc/DSDT.hpbrroot            | Bin 3069 -> 3069 bytes
 tests/data/acpi/pc/DSDT.ipmikcs             | Bin 6059 -> 6059 bytes
 tests/data/acpi/pc/DSDT.memhp               | Bin 7346 -> 7346 bytes
 tests/data/acpi/pc/DSDT.numamem             | Bin 5993 -> 5993 bytes
 tests/data/acpi/pc/DSDT.roothp              | Bin 6195 -> 6195 bytes
 tests/data/acpi/q35/DSDT                    | Bin 8274 -> 8274 bytes
 tests/data/acpi/q35/DSDT.acpierst           | Bin 8291 -> 8291 bytes
 tests/data/acpi/q35/DSDT.acpihmat           | Bin 9599 -> 9599 bytes
 tests/data/acpi/q35/DSDT.applesmc           | Bin 8320 -> 8320 bytes
 tests/data/acpi/q35/DSDT.bridge             | Bin 10988 -> 10988 bytes
 tests/data/acpi/q35/DSDT.cphp               | Bin 8738 -> 8738 bytes
 tests/data/acpi/q35/DSDT.cxl                | Bin 9600 -> 9600 bytes
 tests/data/acpi/q35/DSDT.dimmpxm            | Bin 9928 -> 9928 bytes
 tests/data/acpi/q35/DSDT.ipmibt             | Bin 8349 -> 8349 bytes
 tests/data/acpi/q35/DSDT.ipmismbus          | Bin 8363 -> 8363 bytes
 tests/data/acpi/q35/DSDT.ivrs               | Bin 8291 -> 8291 bytes
 tests/data/acpi/q35/DSDT.memhp              | Bin 9633 -> 9633 bytes
 tests/data/acpi/q35/DSDT.mmio64             | Bin 9404 -> 9404 bytes
 tests/data/acpi/q35/DSDT.multi-bridge       | Bin 8568 -> 8568 bytes
 tests/data/acpi/q35/DSDT.numamem            | Bin 8280 -> 8280 bytes
 tests/data/acpi/q35/DSDT.pvpanic-isa        | Bin 8375 -> 8375 bytes
 tests/data/acpi/q35/DSDT.tis.tpm12          | Bin 8880 -> 8880 bytes
 tests/data/acpi/q35/DSDT.tis.tpm2           | Bin 8906 -> 8906 bytes
 tests/data/acpi/q35/DSDT.viot               | Bin 9383 -> 9383 bytes
 tests/data/acpi/q35/DSDT.xapic              | Bin 35637 -> 35637 bytes
 33 files changed, 32 deletions(-)

diff --git a/tests/qtest/bios-tables-test-allowed-diff.h b/tests/qtest/bios-tables-test-allowed-diff.h
index a7aa428fab..dfb8523c8b 100644
--- a/tests/qtest/bios-tables-test-allowed-diff.h
+++ b/tests/qtest/bios-tables-test-allowed-diff.h
@@ -1,33 +1 @@
 /* List of comma-separated changed AML files to ignore */
-"tests/data/acpi/pc/DSDT",
-"tests/data/acpi/pc/DSDT.acpierst",
-"tests/data/acpi/pc/DSDT.acpihmat",
-"tests/data/acpi/pc/DSDT.bridge",
-"tests/data/acpi/pc/DSDT.cphp",
-"tests/data/acpi/pc/DSDT.dimmpxm",
-"tests/data/acpi/pc/DSDT.hpbridge",
-"tests/data/acpi/pc/DSDT.hpbrroot",
-"tests/data/acpi/pc/DSDT.ipmikcs",
-"tests/data/acpi/pc/DSDT.memhp",
-"tests/data/acpi/pc/DSDT.numamem",
-"tests/data/acpi/pc/DSDT.roothp",
-"tests/data/acpi/q35/DSDT",
-"tests/data/acpi/q35/DSDT.acpierst",
-"tests/data/acpi/q35/DSDT.acpihmat",
-"tests/data/acpi/q35/DSDT.applesmc",
-"tests/data/acpi/q35/DSDT.bridge",
-"tests/data/acpi/q35/DSDT.cphp",
-"tests/data/acpi/q35/DSDT.cxl",
-"tests/data/acpi/q35/DSDT.dimmpxm",
-"tests/data/acpi/q35/DSDT.ipmibt",
-"tests/data/acpi/q35/DSDT.ipmismbus",
-"tests/data/acpi/q35/DSDT.ivrs",
-"tests/data/acpi/q35/DSDT.memhp",
-"tests/data/acpi/q35/DSDT.mmio64",
-"tests/data/acpi/q35/DSDT.multi-bridge",
-"tests/data/acpi/q35/DSDT.numamem",
-"tests/data/acpi/q35/DSDT.pvpanic-isa",
-"tests/data/acpi/q35/DSDT.tis.tpm12",
-"tests/data/acpi/q35/DSDT.tis.tpm2",
-"tests/data/acpi/q35/DSDT.viot",
-"tests/data/acpi/q35/DSDT.xapic",