--- /tmp/asl-87N0O2.dsl	2024-06-07 07:20:54.081576394 +0000
+++ /tmp/asl-4Q0YO2.dsl	2024-06-07 07:20:54.077576397 +0000
@@ -1,30 +1,30 @@
 /*
  * Intel ACPI Component Architecture
  * AML/ASL+ Disassembler version 20230628 (64-bit version)
  * Copyright (c) 2000 - 2023 Intel Corporation
  *
  * Disassembling to symbolic ASL+ operators
  *
- * Disassembly of tests/data/acpi/pc/DSDT, Fri Jun  7 07:20:54 2024
+ * Disassembly of /tmp/aml-NF1YO2, Fri Jun  7 07:20:54 2024
  *
  * Original Table Header:
  *     Signature        "DSDT"
- *     Length           0x00001AAE (6830)
+ *     Length           0x0000214F (8527)
  *     Revision         0x01 **** 32-bit table (V1), no 64-bit math support
- *     Checksum         0x0B
+ *     Checksum         0x59
  *     OEM ID           "BOCHS "
  *     OEM Table ID     "BXPC    "
  *     OEM Revision     0x00000001 (1)
  *     Compiler ID      "BXPC"
  *     Compiler Version 0x00000001 (1)
  */
 DefinitionBlock ("", "DSDT", 1, "BOCHS ", "BXPC    ", 0x00000001)
 {
     Scope (\)
     {
         OperationRegion (DBG, SystemIO, 0x0402, One)
         Field (DBG, ByteAcc, NoLock, Preserve)
         {
             DBGB,   8
         }

@@ -168,102 +168,1058 @@
                         ""
                     }
                 Local2 = AIDX (DerefOf (Arg4 [Zero]), DerefOf (Arg4 [One]
                     ))
                 Local0 [Zero] = Local2
                 Return (Local0)
             }
         }
     }

     Scope (_SB)
     {
         Scope (PCI0)
         {
             Method (_PRT, 0, NotSerialized)  // _PRT: PCI Routing Table
             {
-                Local0 = Package (0x80){}
-                Local1 = Zero
-                While ((Local1 < 0x80))
+                Return (Package (0x80)
                 {
-                    Local2 = (Local1 >> 0x02)
-                    Local3 = ((Local1 + Local2) & 0x03)
-                    If ((Local3 == Zero))
-                    {
-                        Local4 = Package (0x04)
-                            {
-                                Zero,
-                                Zero,
-                                LNKD,
-                                Zero
-                            }
-                    }
+                    Package (0x04)
+                    {
+                        0xFFFF,
+                        Zero,
+                        LNKD,
+                        Zero
+                    },

-                    If ((Local3 == One))
+                    Package (0x04)
                     {
-                        If ((Local1 == 0x04))
-                        {
-                            Local4 = Package (0x04)
-                                {
-                                    Zero,
-                                    Zero,
-                                    LNKS,
-                                    Zero
-                                }
-                        }
-                        Else
-                        {
-                            Local4 = Package (0x04)
-                                {
-                                    Zero,
-                                    Zero,
-                                    LNKA,
-                                    Zero
-                                }
-                        }
-                    }
+                        0xFFFF,
+                        One,
+                        LNKA,
+                        Zero
+                    },

-                    If ((Local3 == 0x02))
+                    Package (0x04)
                     {
-                        Local4 = Package (0x04)
-                            {
-                                Zero,
-                                Zero,
-                                LNKB,
-                                Zero
-                            }
-                    }
+                        0xFFFF,
+                        0x02,
+                        LNKB,
+                        Zero
+                    },

-                    If ((Local3 == 0x03))
+                    Package (0x04)
                     {
-                        Local4 = Package (0x04)
-                            {
-                                Zero,
-                                Zero,
-                                LNKC,
-                                Zero
-                            }
-                    }
+                        0xFFFF,
+                        0x03,
+                        LNKC,
+                        Zero
+                    },

-                    Local4 [Zero] = ((Local2 << 0x10) | 0xFFFF)
-                    Local4 [One] = (Local1 & 0x03)
-                    Local0 [Local1] = Local4
-                    Local1++
-                }
+                    Package (0x04)
+                    {
+                        0x0001FFFF,
+                        Zero,
+                        LNKS,
+                        Zero
+                    },

-                Return (Local0)
+                    Package (0x04)
+                    {
+                        0x0001FFFF,
+                        One,
+                        LNKB,
+                        Zero
+                    },
+
+                    Package (0x04)
+                    {
+                        0x0001FFFF,
+                        0x02,
+                        LNKC,
+                        Zero
+                    },
+
+                    Package (0x04)
+                    {
+                        0x0001FFFF,
+                        0x03,
+                        LNKD,
+                        Zero
+                    },
+
+                    Package (0x04)
+                    {
+                        0x0002FFFF,
+                        Zero,
+                        LNKB,
+                        Zero
+                    },
+
+                    Package (0x04)
+                    {
+                        0x0002FFFF,
+                        One,
+                        LNKC,
+                        Zero
+                    },
+

...

+
+                    Package (0x04)
+                    {
+                        0x001FFFFF,
+                        0x03,
+                        LNKB,
+                        Zero
+                    }
+                })
             }
         }

         Method (IQST, 1, NotSerialized)
         {
             If ((0x80 & Arg0))
             {
                 Return (0x09)
             }

             Return (0x0B)
         }

         Method (IQCR, 1, Serialized)
         {
             Name (PRR0, ResourceTemplate ()
**

Signed-off-by: Ricardo Ribalda <ribalda@chromium.org>
---
 tests/data/acpi/pc/DSDT                     | Bin 6830 -> 8527 bytes
 tests/data/acpi/pc/DSDT.acpierst            | Bin 6741 -> 8438 bytes
 tests/data/acpi/pc/DSDT.acpihmat            | Bin 8155 -> 9852 bytes
 tests/data/acpi/pc/DSDT.bridge              | Bin 13701 -> 15398 bytes
 tests/data/acpi/pc/DSDT.cphp                | Bin 7294 -> 8991 bytes
 tests/data/acpi/pc/DSDT.dimmpxm             | Bin 8484 -> 10181 bytes
 tests/data/acpi/pc/DSDT.hpbridge            | Bin 6781 -> 8478 bytes
 tests/data/acpi/pc/DSDT.hpbrroot            | Bin 3337 -> 5034 bytes
 tests/data/acpi/pc/DSDT.ipmikcs             | Bin 6902 -> 8599 bytes
 tests/data/acpi/pc/DSDT.memhp               | Bin 8189 -> 9886 bytes
 tests/data/acpi/pc/DSDT.nohpet              | Bin 6688 -> 8385 bytes
 tests/data/acpi/pc/DSDT.numamem             | Bin 6836 -> 8533 bytes
 tests/data/acpi/pc/DSDT.roothp              | Bin 10623 -> 12320 bytes
 tests/data/acpi/q35/DSDT.cxl                | Bin 9714 -> 13148 bytes
 tests/data/acpi/q35/DSDT.viot               | Bin 9464 -> 14615 bytes
 tests/qtest/bios-tables-test-allowed-diff.h |   1 -
 16 files changed, 1 deletion(-)

diff --git a/tests/data/acpi/pc/DSDT b/tests/data/acpi/pc/DSDT
index c93ad6b7f83a168a1833d7dba1112dd2ab8a431f..92225236e717b2e522a2ee00492fb0ded418dc7b 100644
GIT binary patch
diff --git a/tests/data/acpi/pc/DSDT.acpierst b/tests/data/acpi/pc/DSDT.acpierst
index f643fa2d034053fa07f74f095565b64f021d4290..25b39955059409b177870800949eaf937cd39005 100644
GIT binary patch
diff --git a/tests/data/acpi/pc/DSDT.acpihmat b/tests/data/acpi/pc/DSDT.acpihmat
index 9d3695ff289036856886a093733926667a32a058..73a9ce59e9426b180fea0ec5820c4841ebdb6700 100644
GIT binary patch
diff --git a/tests/data/acpi/pc/DSDT.bridge b/tests/data/acpi/pc/DSDT.bridge
index 840b45f354ac14c858d0af8fbd31e97949a65d4b..4cef454e379e1009141694e0f4036a2a701c80d7 100644
GIT binary patch
diff --git a/tests/data/acpi/pc/DSDT.cphp b/tests/data/acpi/pc/DSDT.cphp
index dbc0141b2bbc77a6d806ff046dc137992c59a899..1dc928333d7ae7e4df6bb51d850af5e1cb480158 100644
GIT binary patch
diff --git a/tests/data/acpi/pc/DSDT.dimmpxm b/tests/data/acpi/pc/DSDT.dimmpxm
index 1294f655d418dbdccc095e0d47ab220869a61a07..9f71d2e58b1707e733584e38dab7f73f9bda5eb7 100644
GIT binary patch
diff --git a/tests/data/acpi/pc/DSDT.hpbridge b/tests/data/acpi/pc/DSDT.hpbridge
index 8012b5eb3155377dc7995b73059ecb267d19232c..db420593a3c51eced25cd57420353fbb9ccdf63c 100644
GIT binary patch
diff --git a/tests/data/acpi/pc/DSDT.hpbrroot b/tests/data/acpi/pc/DSDT.hpbrroot
index 4fa0c6fe720f7859f0541b82f828c0329a3c0548..31b6adb4eb941e5bf0c02ec8c3819c9213adf022 100644
GIT binary patch
diff --git a/tests/data/acpi/pc/DSDT.ipmikcs b/tests/data/acpi/pc/DSDT.ipmikcs
index 0a891baf458abee4a772ffba7a31914ec22418ec..c2a0330d97d495298889b9e28bde2f90235cea88 100644
GIT binary patch
diff --git a/tests/data/acpi/pc/DSDT.memhp b/tests/data/acpi/pc/DSDT.memhp
index 9b442a64cf711b33d80691fe84f1d3a6256f943b..c15a9fae947bb3929a30c60b7c0f2092705868f8 100644
GIT binary patch
diff --git a/tests/data/acpi/pc/DSDT.nohpet b/tests/data/acpi/pc/DSDT.nohpet
index 1754c6878839fc657230e1e714cd7c5142e0a77e..dd29f5cb620e5164601e303e37524530ddb12684 100644
GIT binary patch
diff --git a/tests/data/acpi/pc/DSDT.numamem b/tests/data/acpi/pc/DSDT.numamem
index 9fc731d3d2bcde5e2612a8ccd81e12098134afe9..8a6b56fe7da18bf42c339d13b863aabf81780527 100644
GIT binary patch
diff --git a/tests/data/acpi/pc/DSDT.roothp b/tests/data/acpi/pc/DSDT.roothp
index e654c83ebe40c413b204c711adcefe3f04655e8c..a16b0d9d4becec47fa3cf57ed0077ff6cff88908 100644
GIT binary patch
diff --git a/tests/data/acpi/q35/DSDT.cxl b/tests/data/acpi/q35/DSDT.cxl
index afcdc0d0ba8e41bb70ac20a78dcc8562ca0cb74b..f561750cab8b061c123c041fe2209d74c7a740f1 100644
GIT binary patch
diff --git a/tests/data/acpi/q35/DSDT.viot b/tests/data/acpi/q35/DSDT.viot
index 64e81f571120e3eb2b8c6c9545293a78c75b7bbd..8d98dd8845a60a08df5aff27097646bea4913b75 100644
GIT binary patch
diff --git a/tests/qtest/bios-tables-test-allowed-diff.h b/tests/qtest/bios-tables-test-allowed-diff.h
index b2c2c10cbc..dfb8523c8b 100644
--- a/tests/qtest/bios-tables-test-allowed-diff.h
+++ b/tests/qtest/bios-tables-test-allowed-diff.h
@@ -1,2 +1 @@
 /* List of comma-separated changed AML files to ignore */
-"tests/data/acpi/pc/DSDT",
-- 
2.45.2.505.gda0bf45e8d-goog